## gpm 1.10-2

=== Makefile ===
# Makefile (gpm-Linux)
#
# Copyright 1994   rubini@ipvvis.unipv.it
#
####
#
# The main configuration parameters are in gpmCfg.h

# To compile with "-g -Wall -DDEBUG" and without stripping
# uncomment the following line.
#DEBUG = t

INSTALL = install -c
INSTALLBIN = $(INSTALL) -m 755
INSTALLLIB = $(INSTALL) -m 644

ifndef PREFIX
  PREFIX = /usr
endif
LIBDIR = $(PREFIX)/lib
BINDIR = $(PREFIX)/bin
SBINDIR = $(PREFIX)/sbin
INCDIR = $(PREFIX)/include
MANDIR = $(PREFIX)/man/man1
INFODR = $(PREFIX)/info
LSPDIR = $(PREFIX)/lib/emacs/site-lisp

############## no more editing...

RELEASE = 1.10
REL_MAJ = 1

TARGET = gpm
   TOBJS = gpm.o gpn.o mice.o special.o


CLIENTOBJS = mev.o gpm-root.o
CLIENTS = $(CLIENTOBJS:.o=)

EXTRAS = hltest mouse-test


ifdef DEBUG
  # we need -O, since the new includes define inline functions
  CFLAGS = -g -O -DDEBUG -Wall
  LDFLAGS = -L.
else
  CFLAGS = -O3 -fomit-frame-pointer
  LDFLAGS = -L. -s
endif

#LOADLIBES	= -lcurses -ltermcap
LOADLIBES	= -lncurses

LIB = lib$(TARGET).a
   LOBJS = liblow.o libhigh.o libcurses.o libxtra.o


  ISELF = n
#
# Are we using an elf compiler? Use $(CC)
#

ifeq ($(shell $(CC) -E -dM short.c | awk '$$2 == "__ELF__" {print "y"}'),y)

  ISELF = y
  SHLIB = lib$(TARGET).so.$(RELEASE)
  SHLIB0 = lib$(TARGET).so.$(REL_MAJ)
  SHLIB00 = lib$(TARGET).so
  SHLOBJS = $(LOBJS:.o=.sh.o)

  %.sh.o: %.c
	$(CC) $(CFLAGS) -fPIC -c $*.c -o $@

endif


ELFILE = t-mouse.el
ELCFILE = $(ELFILE:.el=.elc)
LFILES = $(ELFILE) $(ELCFILE)

%.elc: %.el
	emacs -batch -l exec.el -exec '(byte-compile-file "$<")'


INCLUDES = $(TARGET).h
INFO = doc/$(TARGET).info
MAN = [gm]*.1

ifeq ($(RANLIB),)
   RANLIB = ranlib
endif

# if not Linux, print a message and die
ifneq ($(shell uname),Linux)
beforeall: check
endif

# force make depend
ifneq (.depend,$(wildcard .depend))
all: depend
endif


# extra options...

   CFLAGS += $(shell ./configure)

all: $(TARGET) $(LIB) $(CLIENTOBJS) $(CLIENTS) $(EXTRAS) $(SHLIB) \
	$(ELCFILE) $(TARGET).1 info

info: $(INFO)

check:
	@if [ `uname` != Linux ]; then \
	  echo "" ;\
	  echo "**** This package can compile only under Linux, by now."; \
	  echo "**** Please read the docs (after \"make -C doc\") "; \
	  echo "****    and compile the portable client " \
	       "under \"sample\", instead"; \
	  echo "" ;\
	  exit 1; fi

$(TARGET): $(TOBJS)
	rm -f $@
	$(CC) $(CFLAGS) $^ -o $@

static::
	$(MAKE) CC="$(CC) -static"

$(TARGET).static: $(TOBJS)
	rm -f $@
	$(CC) -static $(CFLAGS) $^ -o $@
	

$(LIB): $(LOBJS)
	$(AR) r $(LIB) $(LOBJS)
	$(RANLIB) $(LIB)

$(SHLIB): $(SHLOBJS)
	$(CC) -shared -Wl,-soname,$(SHLIB0) \
	 -o $@ $(SHLOBJS) -lcurses
	ln -sf $(SHLIB) $(SHLIB0)
	ln -sf $(SHLIB0) $(SHLIB00)
# Aha! The line above can give problems: "-lcurses", "-lncurses" or neither?


$(CLIENTS): $(LIB)

$(EXTRAS): $(LIB)

mouse-test: mouse-test.o mice.o 
	$(CC) $(CFLAGS) $^ -o $@
	
$(INFO): doc/doc.$(TARGET)
	-@$(MAKE) -C doc info || \
		(echo "Warning: failed to make the info file"; exit 1)

$(TARGET).1: doc/doc.$(TARGET) doc/manpager
	doc/manpager $<
	
############## misc targets

.PHONY: install clean cleanest check distrib asciidoc terse tar bin\
             mpage sample sample-dist depend dep DEPEND DEP

.PRECIOUS: *.o

install: all
	@for i in $(BINDIR) $(SBINDIR) $(LIBDIR) $(INCDIR) $(INFODR) $(MANDIR) $(LSPDIR); do\
		if [ -d $$i ]; then set +x; else (set -x; mkdir -p $$i); fi; \
	done
	$(INSTALLBIN)           $(CLIENTS) $(BINDIR) 
	$(INSTALLBIN) $(TARGET)            $(SBINDIR) 
	$(INSTALLLIB) $(LFILES)            $(LSPDIR)
	$(INSTALLLIB) $(LIB)               $(LIBDIR)

### the elf shlib:
ifeq ($(ISELF),y)

	$(INSTALLBIN) $(SHLIB)            $(LIBDIR)
	cd $(LIBDIR) && ln -sf $(SHLIB)  $(SHLIB0)
	cd $(LIBDIR) && ln -sf $(SHLIB0) $(SHLIB00)
	sync
	@echo "Running ldconfig"
	-ldconfig
endif

	$(INSTALLLIB) $(INCLUDES)          $(INCDIR)
	-$(INSTALLLIB) $(INFO)             $(INFODR)
	$(INSTALLLIB) $(MAN)               $(MANDIR)
	@echo ""
	@echo -n "Now update your /etc/gpm-root.conf "
	@echo    "by editing a copy of ./gpm-root.conf"

quickinst:
	(cd bin && tar cf - *) | (cd $(PREFIX) && tar xvf -)
	
terse:
	rm -f *~ */*~ */*.dvi */*.log

clean: terse
	rm -f .depend TAGS Test.log
	$(MAKE) -C doc clean
	rm -f $(TARGET) $(TARGET).static $(LIB) $(SHLIB) \
	     $(SHLIB0) $(SHLIB00) $(CLIENTS) $(EXTRAS) *.o
	rm -f *.1

cleanest: clean
	rm -r bin
printv:
		@grep -n RELEASE *.h doc/* sample/*.c Makefile
	@sed -n -e '/DEBUG =/p' -e '/DEBUG =/q' Makefile
tar:
	n=`basename \`pwd\``; cd ..; tar cvf - $$n | gzip > $$n.tar.gz

suid: gpm gpm-root
	chown root $^; chmod +s $^

mpage:
	$(MAKE) -C doc mpage

asciidoc:
	 $(MAKE) -C doc $(TARGET)doc.txt

sample-dist:
	$(MAKE) -C sample -f Makefile.in distrib

test: $(TARGET)
	csh -c "(time ./$(TARGET) -m ./data -T ) |& tee /dev/tty >> Test.log"

depend dep:
	$(CC) -MM *.c > .depend

DEPEND DEP:
	$(CC) -M *.c > .depend

bin: all
	-mkdir bin bin/bin bin/include bin/lib bin/info
	$(MAKE) install PREFIX=./bin

sample:
	$(MAKE) -C sample

# don't release binaries, since my compiler has become old.
distrib: mpage sample-dist clean info asciidoc tar printv


ifeq (.depend,$(wildcard .depend))
include .depend
endif

## gpm 1.14

=== doc/Makefile ===
#			-*-text-*-
#
# Makefile for the documentation directory (gpm-Linux)
#
# Copyright 1994   rubini@ipvvis.unipv.it (Alessandro Rubini)
#
#################
#
# BE CAREFUL in editing:
#	due to the large number of index files, and my use of a non standard
#	info input file, any file $(TARGET).* is removed by "make clean"
#
#	I chose to use a prefix for the input file ("doc.$(TARGET)"), to ease
#	makeing clean and applying my own rules.
#
###################################################################

%.texinfo: doc.%
	@rm -f $@ 2> /dev/null
	sed -f ./infofilter $< > $@
	chmod 400 $@


# This rule is somewhat a rewrite of texi2dvi. I like make more than sh :-)

%.dvi: %.texinfo

# create a spurious  index file to please silly sh (bash will work anyway
	touch $*.oo

# get the index list
	if test "x`ls $*.?? $*.aux`" != "x"; then \
	  for i in `ls $*.?? $*.aux`; do \
	    cp $$i $$i~; \
	  done; \
	fi
	tex $<

#check the file list, the file and if needed run TeX again
	old="`ls $*.??~ $*.aux~ | sed 's/~//g'`"; \
	new="`ls $*.?? $*.aux`"; \
	need="n"; \
	if test "$$old" != "$$new"; then need="y"; \
	else \
	  for i in  `ls $*.?? $*.aux`; do \
	    cmp -s $$i $$i~; if test $$? -ne 0; then need="y" break; fi; \
	  done; \
	fi; \
	if test "$$need" = "y"; then \
	  texindex $*.?? && tex $<; \
	fi


%.ps: %.dvi
	dvips -f $< > $@


%.info: %.texinfo
	makeinfo $< -o $@


#%.man: doc.%
#		manpages are created by the toplevel Makefile

%doc.txt: %.info
	./mktxt $< > $@

##############################################


TARGET = gpm
ALL    = $(TARGET).ps  $(TARGET).info $(TARGET)doc.txt

all: $(ALL)

info: $(TARGET).info

$(TARGET)doc.txt: mktxt

check: _err.ps
	gs -sDEVICE=linux -r320x200x16 $<

gs: $(TARGET).ps
	gs -sDEVICE=linux -r640x480x2 $<

gv: $(TARGET).ps
	ghostview $(TARGET).ps -magstep -1 -a4

mpage: all
	mv $(TARGET).ps $(TARGET)1.ps
	mpage -2AP $(TARGET)1.ps > $(TARGET)2.ps && rm $(TARGET)1.ps

terse:
	rm -f *~ *.dvi *.log *.aux \
	      $(TARGET).*.bak $(TARGET).??? $(TARGET).texinfo
	-mv $(TARGET).ps PS; rm -f $(TARGET).??; mv PS $(TARGET).ps

clean: terse
	rm -f $(ALL)

## gpm 1.20.4

=== contrib/Makefile ===
#        -*-makefile-*- (gpm/contrib)
#
# Copyright (C) 2001 Nico Schottelius <nico@schottelius.org>
#


srcdir = /home/user/nico/projekte/gpm/gpm/contrib
top_builddir = ..

include $(top_builddir)/Makefile.include

all: $(srcdir)/$(ELISP)

install: all
	if [ -n "$(ELISP)" ]; then for i in `echo $(ELISP)`; do \
		$(INSTALL_DATA) $(srcdir)/$$i $(lispdir)/`basename $$i` ;\
	done; fi

%.elc: %.el
	$(EMACS) -batch -l $(srcdir)/emacs/exec.el -exec '(byte-compile-file "$<")'

uninstall:
	if [ -n "$(ELISP)" ]; then for i in `echo $(ELISP)`; do \
		rm -f $(lispdir)/$$i ;\
	done; fi 

dist:
	$(CP) -r $(srcdir) $(top_builddir)/gpm-$(release)/

clean distclean:
	$(RM) -f $(srcdir)/emacs/*.elc

=== kernel-driver/Makefile ===
# Makefile for a basic kernel module 

CC=gcc 

#MODCFLAGS := -Wall -DMODULE -D__KERNEL__ -DLINUX
MODCFLAGS := -D__KERNEL__ -I/usr/src/linux-2.3.99-pre6/include -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing -pipe -march=i586 -DMODULE -DMODVERSIONS -include /usr/src/linux-2.3.99-pre6/include/linux/modversions.h


touchscreen.o: touchscreen.c /usr/include/linux/version.h 
	$(CC) $(MODCFLAGS) -c touchscreen.c 

audio.o: audio.c /usr/include/linux/version.h 
	$(CC) $(MODCFLAGS) -c audio.c

## gpm 1.20.4-6maemo0

=== debian/changelog ===
gpm (1.20.4-6maemo0) unstable; urgency=low

  * No optification.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 28 Aug 2013 12:32:09 +0200

gpm (1.20.4-6) unstable; urgency=low

  * No source changes; rebuild to make the multiarch *.gz md5sums match.
    (Should be a binNMU, but those do not work with M-A.)

 -- Peter Samuelson <peter@p12n.org>  Sun, 10 Jun 2012 14:55:09 -0500

gpm (1.20.4-5) unstable; urgency=medium

  [ Peter Samuelson ]
  * Tweak debian/rules to pass the right CC into configure.  Thanks Kyle
    Moffett.  (Closes: #645278)
  * Add Polish debconf translation, thanks Michał Kułach.  (Closes: #658143)
  * Fix watch file.
  * Drop long-obsolete libgpmg1-dev dummy package.
  * A few tweaks to rules and control files.

  [ Stefan Lippers-Hollman ]
  * Fix kernel detection for kernel >=3 (Closes: #653036).
    - patches/090_linux3_versions: New patch: also fix gpm-root.y for
      kernel 3.x version scheme.

 -- Peter Samuelson <peter@p12n.org>  Fri, 08 Jun 2012 11:20:49 -0500

gpm (1.20.4-4) unstable; urgency=low

  * Ack NMUs - thanks, guys!
  * Promote myself to maintainer.  There's not really been a gpm "team"
    for some time now.
  * Upgrade to source format 1.0.
  * Use config.sub, config.guess from autotools-dev.
  * Add some cross-compile fu.  Touches rules, patches/014 and (new)
    patches/080.  From Ubuntu, modified.
  * Multiarch.  Based on a patch by Riku Voipio, thanks!  (Closes: #638960)
  * Policy 3.9.2:
    - Remove some Conflicts and change one to Breaks.
    - Fix some exit codes in gpm.init.
  * libgpmg1-dev: arch all, not any.

 -- Peter Samuelson <peter@p12n.org>  Tue, 23 Aug 2011 12:16:08 -0500

gpm (1.20.4-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * Minor QA changes (triggerred by lintian warnings):
    - Add ${misc:Depends} to binary packages dependencies
    - No longer call install-info in prerm and postinst scripts
    - Do not hardcode path to gpm in prerm script
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #595640
    - Dutch (Eric Spreen).  Closes: #605587

 -- Christian Perrier <bubulle@debian.org>  Sat, 02 Apr 2011 09:08:07 +0200

gpm (1.20.4-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Belarusian (Pavel Piatruk).  Closes: #516032
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #512854

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Jan 2010 09:47:32 +0100

gpm (1.20.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/070_struct_ucred: fix FTBFS. Closes: #520853

 -- Peter Eisentraut <petere@debian.org>  Fri, 24 Apr 2009 18:41:08 +0300

gpm (1.20.4-3.1) unstable; urgency=low

  [ Thomas Viehmann ]
  * Non-maintainer upload.
  * debian/patches/060_no_blocking_on_mouse_device_under_x:
    don't block in rxvt. Closes: #470882
    Analysis and patch by Samuel Thibault, thanks!

  [ Neil Williams ]
  * clean up Makefile to allow gpm to build twice in a row in a pbuilder
    chroot (release goal)

 -- Neil Williams <codehelp@debian.org>  Sun, 30 Nov 2008 01:36:31 +0100

gpm (1.20.4-3) unstable; urgency=low

  * Remove myself from Uploaders.
  * Group related patches:
    - debian/patches/030_daemon_quit: Rename to ...
    - debian/patches/020_daemon_quit_noverbose.patch: ... this.
  * Demote syslog message when the gpmctl node cannot be opened to debugging
    output, that's the case when gpm is not running. And change libgpm to not
    log into syslog debugging messages. (Closes: #469933, #479474, #479824)
    (Closes: #480070, #488053, #490895, #492954, #494924)
    Thanks to Jonathan Nieder <jrnieder@uchicago.edu>.
    - debian/patches/015_libgpm_noverbose.patch: Replace with ...
    - debian/patches/021_libgpm_dev_gpmctl_debug_msg.patch: ... this.
    - debian/patches/022_libgpm_no_log_debug_msg.patch: New file.
  * Fix a segfault on startup produced by an off-by-one error when accessing
    the console information array due to a missmatch between some files
    using the kernel and others the gpm definition for the number of
    supported consoles. (Closes: #493168)
    Thanks to Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
    and Samuel Thibault <samuel.thibault@ens-lyon.org>.
    - debian/patches/031_max_consoles.patch: New file.
  * Update Catalan debconf translation.

 -- Guillem Jover <guillem@debian.org>  Sun, 26 Oct 2008 04:36:14 +0200

gpm (1.20.4-2) unstable; urgency=low

  * Replace $local_fs with $remote_fs in init script. (Closes: #475454)
  * Cleanup debian/copyright:
    - Change 'Copyright' to 'Copyright Holders'.
    - Use UTF-8 copyright symbol.
    - Refer to GPL-2 from common-licenses instead of just GPL.
    - Remove packaging svn information.
  * Add Conflicts and Replaces to libgpm-dev on libgpmg1-dev << 1.20.4.
  * Add Provides to libgpm-dev on libgpmg1-dev.
  * Versions before 1.20.3~pre3 are wire protocol incompatible, after that
    the library broken ABI, but applications still use the old wire protocol.
    - Add Conflicts to gpm against libgpmg1.
    - Add Conflicts to libgpm2 against gpm << 1.20.3~pre3.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 09:38:10 +0300

gpm (1.20.4-1) experimental; urgency=low

  [ Guillem Jover ]
  * New upstream version. (Closes: #482138)
    - debian/patches/001_logging.patch: Removed, merged upstream.
    - debian/patches/006_version_000: Likewise.
    - debian/patches/008_sun_repeat_000: Likewise.
    - debian/patches/030_segfault: Likewise.
    - debian/patches/001_missing_V_option.patch: Refresh.
    - debian/patches/002_force_repeat_000: Likewise.
    - debian/patches/005_types_000: Likewise.
    - debian/patches/007_doc_fix_000: Likewise.
    - debian/patches/010_ps2_rework.patch: Likewise.
    - debian/patches/013_xterm_mouse_support_000: Likewise.
    - debian/patches/015_libgpm_noverbose.patch: Likewise.
    - debian/patches/030_daemon_quit: Likewise.


=== debian/control ===
Source: gpm
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Section: misc
Priority: optional
Standards-Version: 3.9.3
Homepage: http://www.nico.schottelius.org/software/gpm/
Build-Depends: autoconf, autotools-dev, quilt, debhelper (>= 6.0.7), mawk | awk,
 bison, texlive-base, texinfo, texi2html

Package: gpm
Priority: optional
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf, lsb-base
Multi-Arch: foreign
Description: General Purpose Mouse interface
 This package provides a daemon that captures mouse events when the system
 console is active, and delivers events to applications through a library.
 .
 By default, the daemon provides a 'selection' mode, so that
 cut-and-paste with the mouse works on the console just as it does
 under X.

Package: libgpm2
Priority: standard
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Suggests: gpm
Description: General Purpose Mouse - shared library
 This package provides a library that handles mouse requests
 and delivers them to applications. See the description for the 'gpm'
 package for more information.

Package: libgpm-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: libgpm2 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Multi-Arch: same
Conflicts: libgpmg1-dev
Provides: libgpmg1-dev
Description: General Purpose Mouse - development files
 This package provides a library that handles mouse requests
 and delivers them to applications. See the description for the 'gpm'
 package for more information.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for gpm

include /usr/share/quilt/quilt.make

INSTALL=install
INSTALL_DATA=$(INSTALL) -m 644
INSTALL_PROGRAM=$(INSTALL) -m 755

export CFLAGS = -Wall -g -D_REENTRANT

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
lib := usr/lib/$(DEB_HOST_MULTIARCH)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
	host_cc = gcc
else
	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
	host_cc = $(DEB_HOST_GNU_TYPE)-gcc
endif

configure: patch configure.in
	autoconf

config.status: configure
	env CC=$(host_cc) ./configure $(confflags) --prefix=/usr --sysconfdir=/etc

# Serialize to support parallel make
pre-patch: patch
	$(RM) config.sub config.guess
	ln -s /usr/share/misc/config.sub /usr/share/misc/config.guess .
	$(MAKE) -f debian/rules config.status

build: build-arch build-indep
build-indep: pre-patch
build-arch: pre-patch
	dh_testdir

	# for gpm_has_mouse_control
	$(MAKE) -C contrib/control CC=$(host_cc)
	$(MAKE)

clean: unpatch clean-unpatched
clean-unpatched:
	dh_testdir

	[ ! -f Makefile ] || $(MAKE) clean
	$(RM) Makefile	
	$(RM) -r contrib/control
	$(RM) config.sub config.guess
	dh_clean

checkpo:
	debconf-updatepo
	@for i in debian/po/*.po; do \
	  echo -n "Checking: $$i "; \
	  msgfmt -o /dev/null -c --statistics $$i; \
	done

# No binary indep packages
binary-indep:

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs
	dh_install

	$(INSTALL_PROGRAM) debian/gpm.apm \
	                   debian/gpm/etc/apm/event.d/gpm
	$(INSTALL_PROGRAM) src/prog/mouse-test \
	                   debian/gpm/usr/sbin/gpm-mouse-test
	$(INSTALL_PROGRAM) contrib/scripts/microtouch-setup \
	                   debian/gpm/usr/sbin/gpm-microtouch-setup

	mkdir -p debian/libgpm2/$(lib)
	$(INSTALL_DATA) src/lib/libgpm.so.2.0.0 debian/libgpm2/$(lib)/libgpm.so.2

	mkdir -p debian/libgpm-dev/$(lib)
	ln -s libgpm.so.2 debian/libgpm-dev/$(lib)/libgpm.so
	$(INSTALL_DATA) src/lib/libgpm.a debian/libgpm-dev/$(lib)/

	dh_installinfo
	dh_installman
	dh_installdocs
	dh_installchangelogs Changes
	dh_installexamples
	dh_installinit
	dh_installdebconf
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build binary binary-arch binary-indep clean

=== debian/watch ===
version=3
http://www.nico.schottelius.org/software/gpm/archives/gpm-([0-9.]*).tar.gz	debian	uupdate

## gpm 1.20.7

=== debian/changelog ===
gpm (1.20.7-5) unstable; urgency=medium

  * Update Vcs-* headers for switch to salsa.debian.org.
  * Fix syslog format string in
    092_fix-format-not-a-string-literal-and-no-format-arguments.patch.
    Thanks William Blough and Samuel Thibault! (Closes: #888792, #888797)

 -- Axel Beckert <abe@debian.org>  Tue, 30 Jan 2018 02:21:54 +0100

gpm (1.20.7-4) unstable; urgency=low

  * Upload to unstable again to fix #886903 also in unstable.
    + Mention #886903 in debian/patches/94_gpm-1.20.7-glibc-2.26-1.patch
      and the 1.20.7-2 debian/changelog entry.
    + Set urgency=low.
  * Add lintian-override for too-long-extended-description-in-templates:
    The list of possible device types cannot be shortened without loosing
    essential information for the administrator.
  * Switch watch file and Homepage to HTTPS and drop "www.".
  * debian/clean: Add all files reported by "git clean -dxf" (even after
    having run "debclean"), partially by using wildcards. Makes package
    building twice in a row again.
  * Drop "Priority: standard" for libgpm2: It's no more required that all
    dependencies of a package only have the same or higher priority.
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)
  * Bump debhelper compatibility to 11.
    + Update versioned build-dependency on debhelper accordingly.

 -- Axel Beckert <abe@debian.org>  Thu, 11 Jan 2018 22:50:00 +0100

gpm (1.20.7-3) experimental; urgency=low

  * Convert debian/copyright to machine-readable DEP5 format.
    + Update copyright years.
    + Add missing copyright holders.
    + Add missing GPL-3.0+ for two files under scripts/.
  * Remove Makefile in debian/rules before dh_auto_clean is called.
  * Install README.versions as documentation.
  * Add contrib/emacs/t-mouse.elc to debian/clean.
  * Restrict architecture to linux-any for now. (Closes: #745168)
  * Add man page for gpm-microtouch-setup(8) by François Wendling. Thanks!
    (Closes: #496868)

 -- Axel Beckert <abe@debian.org>  Thu, 21 Sep 2017 00:36:08 +0200

gpm (1.20.7-2) experimental; urgency=low

  [ Axel Beckert ]
  * Pre-emptively add patch from NuTyX/LFS to fix FTBFS with glibc 2.26.
    (Closes: #886903)
  * Retroactively mention #490657 in previous changelog entry.
  * debian/clean: Add Makefile and src/.depend to be able to build twice
    in a row.

  [ Samuel Thibault ]
  * Bump Standards-Versions to 4.1.0 (no changes).

  [ Andreas Henriksson ]
  * Re-add Gpm_Wgetch symbol and fix 050_dont_link_libcurses patch.
    (Closes: #873568)

 -- Axel Beckert <abe@debian.org>  Wed, 20 Sep 2017 22:11:43 +0200

gpm (1.20.7-1) experimental; urgency=low

  [ Samuel Thibault ]
  * Adopt package (Closes: Bug#852224)
  * control: Update maintainer mailing list.

  [ Axel Beckert ]
  * Adding myself as Maintainer. (c.f. #852224)
  * Apply wrap-and-sort.
  * Update upstream download URL in debian/copyright. Issue found by DUCK.
  * Add not yet cleaned up build artifacts to debian/clean.
  * Switch to source format "3.0 (quilt)" and rewrite debian/rules as dh
    v7 style minimal rules file with debhelper compatibility level 10.
    + Bump versioned debhelper build-dependency accordingly.
    + Drop build-dependencies on quilt, autoconf and autotools-dev.
    + Refresh 021_libgpm_dev_gpmctl_debug_msg.patch to remove fuzz.
    + Use dh-exec and executable debian/*.install files instead of
      $(INSTALL_PROGRAM) and $(INSTALL_DATA) in debian/rules.
    + Add patch to fix FTBFS with -Wformat-security.
  * Enable all hardening build flags.
    + Update 014_has_mouse_control.patch to properly pass compile flags.
  * Add patch to fix spelling errors found by lintian.
  * Declare compliance with Debian Policy 4.0.1.
    + Use /run/ instead of /var/run/ in init script.
  * Import stable upstream release 1.20.7. (Closes: #490657)
    + Refresh patches where necessary.
    + Manually extend 050_dont_link_libcurses to make package compile
      again independently of libncurses5-dev being installed or not.
    + Drop 020_daemon_quit_noverbose.patch,
      021_libgpm_dev_gpmctl_debug_msg.patch,
      022_libgpm_no_log_debug_msg.patch, 030_fd_set_negative_int.patch and
      040_no_OPEN_MAX.patch, applied upstream.
    + Update debian/libgpm2.install wrt. to minor SONAME version.
    + No more symlink config.{sub,guess}, call ./autogen.sh instead.
  * Add DEP-3 headers to all patches.
  * Add an initial symbols file.

  [ Peter Eisentraut ]
  * Add init.d status support. (Closes: #525677)

 -- Axel Beckert <abe@debian.org>  Sun, 13 Aug 2017 05:11:33 +0200

gpm (1.20.4-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Cleanup dependencies:
    - Remove dependency on obsolete package texi2html to fix lintian error.
    - While on it, remove unneeded dependency on texlive-base
    This is safe as it seems that gpm is not using texi2html and texlive-base,
    the generated Debian packages have identical documentation.
    This also has a nice side effect to reduce B-Ds a lot, and it looks like
    that this solves an dependency cycle.
  * Remove Pre-Depends on multiarch-support to fix lintian error.
  * Fixing lintian-warning h-clean-k-is-deprecated by using dh_prep instead.
  * The fixed lintian errors and warning Closes: #820670.
  * Fix lintian informational warnings:
    - binary-control-field-duplicates-source field "section"
    - binary-control-field-duplicates-source field "priority"
    - duplicate-long-description libgpm2 libgpm-dev
  * Bump compat level to 9

 -- Tobias Frost <tobi@debian.org>  Mon, 11 Apr 2016 11:36:03 +0200

gpm (1.20.4-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with glibc 2.17, missing include":
    add patch 091_glibc_2.17_types from Adam Conrad / Ubuntu:
    - explicitly include <sys/types.h>
    (Closes: #700229)

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Jun 2013 15:59:29 +0200

=== debian/control ===
Source: gpm
Maintainer: Axel Beckert <abe@debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Section: misc
Priority: optional
Standards-Version: 4.1.3
Homepage: https://nico.schottelius.org/software/gpm/
Vcs-Browser: https://salsa.debian.org/debian/gpm
Vcs-Git: https://salsa.debian.org/debian/gpm.git
Build-Depends: bison,
               debhelper (>= 11~),
               dh-exec,
               mawk | awk,
               texinfo

Package: gpm
Architecture: linux-any
Depends: lsb-base (>= 3.2-13),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: General Purpose Mouse interface
 This package provides a daemon that captures mouse events when the system
 console is active, and delivers events to applications through a library.
 .
 By default, the daemon provides a 'selection' mode, so that
 cut-and-paste with the mouse works on the console just as it does
 under X.

Package: libgpm2
Section: libs
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Suggests: gpm
Description: General Purpose Mouse - shared library
 This package provides a library that handles mouse requests
 and delivers them to applications. See the description for the 'gpm'
 package for more information.

Package: libgpm-dev
Section: libdevel
Architecture: linux-any
Depends: libc6-dev | libc-dev,
         libgpm2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Conflicts: libgpmg1-dev
Provides: libgpmg1-dev
Description: General Purpose Mouse - development files
 This package provides a library that handles mouse requests
 and delivers them to applications. See the description for the 'gpm'
 package for more information.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

lib := usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_update_autotools_config:
	./autogen.sh
	dh_update_autotools_config

override_dh_auto_configure:
	dh_auto_configure -- --without-curses

override_dh_auto_build:
	# for gpm_has_mouse_control
	dh_auto_build -Dcontrib/control
	dh_auto_build

override_dh_auto_clean:
	# for gpm_has_mouse_control
	if [ -d contrib/control ]; then dh_auto_clean -Dcontrib/control; fi

	# Needs to be removed before dh_auto_clean is called, so
	# adding to debian/clean does not suffice.
	rm -f Makefile

	dh_auto_clean

checkpo:
	debconf-updatepo
	@for i in debian/po/*.po; do \
	  echo -n "Checking: $$i "; \
	  msgfmt -o /dev/null -c --statistics $$i; \
	done

override_dh_auto_install:
	mkdir -p debian/libgpm2/$(lib)

	mkdir -p debian/libgpm-dev/$(lib)
	ln -s libgpm.so.2 debian/libgpm-dev/$(lib)/libgpm.so

=== debian/watch ===
version=3
https://nico.schottelius.org/software/gpm/archives/gpm-([0-9.]*).tar.gz	debian	uupdate
